Subject: The history of cookie design (was Re: [Hipsec] Cookies)

From: [email-masked] (Pekka Nikander)
Date: Fri Apr 2 08:56:00 2004

Tom,

> The puzzles allow the responder to control a certain amount
> of DoS resilience.  I believe that the design was motivated by
> work described in:
> http://research.microsoft.com/users/tuomaura/Publications/aura- 
> nikander-leiwo-protocols00.pdf

Actually it wasn't, but the original design was earlier
by Bob Moskowitz.  I don't remember where he got it, but
probably from some other people that had been working on
the same kind of approaches independent from us.

I've just been referring to our paper since it summarises
some of the thinking neatly.

--Pekka